#preloader{
    width: 100%;
    height: 100vh;
    z-index: 100;
    background-color: $color-grey;
    position: fixed;
    display: flex;
    justify-content: center;
    align-items: center;
    .sk-folding-cube {
        margin: 20px auto;
        width: 40px;
        height: 40px;
        position: relative;
        transform: rotateZ(45deg);
        .sk-cube {
            float: left;
            width: 50%;
            height: 50%;
            position: relative;
            transform: scale(1.1); 
            &:before {
                content: '';
                position: absolute;
                top: 0;
                left: 0;
                width: 100%;
                height: 100%;
                background-color: $color-yellow;
                animation: sk-foldCubeAngle 2.4s infinite linear both;
                transform-origin: 100% 100%;
              }
          }
          .sk-cube2 {
                    transform: scale(1.1) rotateZ(90deg);
                    &::before{
                        animation-delay: 0.3s;
                    }
          }
          .sk-cube3 {
            transform: scale(1.1) rotateZ(180deg);
            &::before{
                animation-delay: 0.6s;
            }
           }
           .sk-cube4 {
            transform: scale(1.1) rotateZ(270deg);
            &::before{
                animation-delay: 0.9s;
            }
            }
        
      }
}



  @-webkit-keyframes sk-foldCubeAngle {
    0%, 10% {
              transform: perspective(140px) rotateX(-180deg);
      opacity: 0; 
    } 25%, 75% {
              transform: perspective(140px) rotateX(0deg);
      opacity: 1; 
    } 90%, 100% {
              transform: perspective(140px) rotateY(180deg);
      opacity: 0; 
    } 
  }
  
  @keyframes sk-foldCubeAngle {
    0%, 10% {
              transform: perspective(140px) rotateX(-180deg);
      opacity: 0; 
    } 25%, 75% {
              transform: perspective(140px) rotateX(0deg);
      opacity: 1; 
    } 90%, 100% {
              transform: perspective(140px) rotateY(180deg);
      opacity: 0; 
    }
  }